<?php
    /** @var array $_ */
    /** @var \OCP\IL10N $l */
?>
<?php
    // assigned
    $msgList                = (isset($_['msgList']) ? $_['msgList'] : array());
    $dematpayslipConfigList = (isset($_['dematpayslipConfigList']) ? $_['dematpayslipConfigList'] : array());
    $pastellConfigFlowList  = (isset($_['pastellConfigFlowList']) ? $_['pastellConfigFlowList'] : array());

    // alert messages
    $htmlAlert = '';
    if (!empty($msgList)) {
        if (count($msgList['error'])>0) {
            $htmlAlert .= '<div class="alert alert-danger alert-dismissible fade show" id="dematpayslip_alert_danger" role="alert">';
            foreach ($msgList['error'] as $msg) {
                $htmlAlert .= '<div class="text-center">' .  $msg . '</div>';
            }
            $htmlAlert .= '<a class="close" id="dematpayslip_alert_danger_btn">';
            $htmlAlert .= '<span aria-hidden="true">&times;</span>';
            $htmlAlert .= '</a>';
            $htmlAlert .= '</div>';
        }

        if (count($msgList['warning'])>0) {
            $htmlAlert .= '<div class="alert alert-warning alert-dismissible fade show" id="dematpayslip_alert_warning" role="alert">';
            foreach ($msgList['warning'] as $msg) {
                $htmlAlert .= '<div class="text-center">' .  $msg . '</div>';
            }
            $htmlAlert .= '<a class="close" id="dematpayslip_alert_warning_btn">';
            $htmlAlert .= '<span aria-hidden="true">&times;</span>';
            $htmlAlert .= '</a>';
            $htmlAlert .= '</div>';
        }

        if (count($msgList['success'])>0) {
            $htmlAlert .= '<div class="alert alert-success alert-dismissible fade show" id="dematpayslip_alert_success" role="alert">';
            foreach ($msgList['success'] as $msg) {
                $htmlAlert .= '<div class="text-center">' .  $msg . '</div>';
            }
            $htmlAlert .= '<a class="close" id="dematpayslip_alert_success_btn">';
            $htmlAlert .= '<span aria-hidden="true">&times;</span>';
            $htmlAlert .= '</a>';
            $htmlAlert .= '</div>';
        }
    }

    style('dematpayslip', 'admin');
    script('dematpayslip', 'admin');
?>
<div id="dematpayslip">
    <?php if (!empty($htmlAlert)) { ?>
        <div id="dematpayslip_alert"><?php print $htmlAlert; ?></div>
    <?php } ?>
    <div class="section">
        <h2><?php p($l->t('Dématérialisation des bulletins de paie')); ?></h2>
        <form name="dematpayslip_config_admin" method="get">
            <input type="hidden" name="requesttoken" value="<?php p($_['requesttoken']); ?>" />
            <input type="hidden" name="action" value="payslips_config" />
            <div>
                <label for="dematpayslip_payslip_dir">
                    <span><?php p($l->t('Dossier des bulletins')); ?> : </span>
                    <input type="text" name="dematpayslip_payslip_dir" value="<?php print $dematpayslipConfigList['payslip_dir']; ?>" />
                </label>
            </div>
            <div>
                <label for="dematpayslip_user_user_id">
                    <span><?php p($l->t('Utilisateur')); ?> : </span>
                    <input type="text" name="dematpayslip_user_user_id" value="<?php print $dematpayslipConfigList['user_id']; ?>" />
                </label>
            </div>
            <div>
                <label for="dematpayslip_app_data_dir">
                    <span><?php p($l->t('Dossier des données de l\'application')); ?> : </span>
                    <input type="text" name="dematpayslip_app_data_dir" value="<?php print $dematpayslipConfigList['app_data_dir']; ?>" />
                </label>
            </div>
            <div>
                <button type="submit" class="btn btn-default"><?php p($l->t('Valider')); ?></button>
            </div>
        </form>
        <br />
        <br />
        <form name="dematpayslip_unshare_admin" method="get">
            <input type="hidden" name="requesttoken" value="<?php p($_['requesttoken']); ?>" />
            <input type="hidden" name="action" value="payslips_unshare" />
            <div>
                <label>
                    <span><?php p($l->t('Enlever le partage sur tous les dossiers Matricules')); ?></span>
                </label>
            </div>
            <div>
                <button type="submit" class="btn btn-default"><?php p($l->t('Valider')); ?></button>
            </div>
        </form>
        <br />
        <br />
        <form name="dematpayslip_reshare_admin" method="get">
            <input type="hidden" name="requesttoken" value="<?php p($_['requesttoken']); ?>" />
            <input type="hidden" name="action" value="payslips_reshare" />
            <div>
                <label>
                    <span><?php p($l->t('Remettre le partage sur tous les dossiers Matricules')); ?></span>
                </label>
            </div>
            <div>
                <button type="submit" class="btn btn-default"><?php p($l->t('Valider')); ?></button>
            </div>
        </form>
    </div>

    <?php if (count($pastellConfigFlowList) > 0) { ?>
    <div class="section">
        <h2><?php p($l->t('Archivage (Pastell)')); ?></h2>
        <form name="pastell_config_admin" method="get">
            <input type="hidden" name="requesttoken" value="<?php p($_['requesttoken']); ?>" />
            <input type="hidden" name="action" value="pastell_config" />
            <div>
                <label for="pastell_use">
                    <input type="checkbox" name="pastell_use" value="1" <?php print ($dematpayslipConfigList['pastell_use'] == 1 ? 'checked="checked"' : ''); ?>/>
                    <span><?php p($l->t('Utiliser Pastell pour archiver les bulletins de paie')); ?></span>
                </label>
            </div>
            <?php if ($dematpayslipConfigList['pastell_use'] == 1) { ?>
            <div>
                <label for="pastell_config_f1_id">
                    <span><?php p($l->t('Flux pour archivage sur 5 ans')); ?> : </span>
                    <select name="pastell_config_f1_id">
                        <option value=""></option>
                        <?php foreach ($pastellConfigFlowList as $pastellConfigFlow) { ?>
                            <option value="<?php print $pastellConfigFlow->getId(); ?>" <?php print ($pastellConfigFlow->getId() == $dematpayslipConfigList['pastell_config_f1_id'] ? 'selected="selected"' : ''); ?>><?php print $pastellConfigFlow->getLabel(); ?></option>
                        <?php } ?>
                    </select>
                </label>
            </div>
            <div>
                <label for="pastell_config_f2_id">
                    <span><?php p($l->t('Flux pour archivage sur 50 ans')); ?> : </span>
                    <select name="pastell_config_f2_id">
                        <option value=""></option>
                        <?php foreach ($pastellConfigFlowList as $pastellConfigFlow) { ?>
                            <option value="<?php print $pastellConfigFlow->getId(); ?>" <?php print ($pastellConfigFlow->getId() == $dematpayslipConfigList['pastell_config_f2_id'] ? 'selected="selected"' : ''); ?>><?php print $pastellConfigFlow->getLabel(); ?></option>
                        <?php } ?>
                    </select>
                </label>
            </div>
            <?php } ?>
            <div>
                <button type="submit" class="btn btn-default"><?php p($l->t('Valider')); ?></button>
            </div>
        </form>
    </div>
    <?php } ?>
</div>